Bug 730608 - [abrt] pitivi-0.14.0-2.fc15: pipeline.py:277:setState:PipelineError: Failure changing state of the gst.Pipeline to <enum GST_STATE_PAUSED of type GstState>, currently reset to NULL
Summary: [abrt] pitivi-0.14.0-2.fc15: pipeline.py:277:setState:PipelineError: Failure ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pitivi
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7b3bd9e125ce422dcf1ebcc74a9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-15 04:47 UTC by Renich Bon Ciric
Modified: 2012-08-07 16:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:51:11 UTC


Attachments (Terms of Use)

Description Renich Bon Ciric 2011-08-15 04:47:58 UTC
abrt version: 2.0.3
architecture:   x86_64
cmdline:        python /usr/bin/pitivi /home/renich/omen.xptv
comment:        I am trying to render an h264 HD 720 video with a flac song and it crashes every time
component:      pitivi
executable:     /usr/bin/pitivi
kernel:         2.6.40-4.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        pitivi-0.14.0-2.fc15
reason:         pipeline.py:277:setState:PipelineError: Failure changing state of the gst.Pipeline to <enum GST_STATE_PAUSED of type GstState>, currently reset to NULL
time:           Sun Aug 14 23:46:29 2011
uid:            500
username:       renich

backtrace:
:pipeline.py:277:setState:PipelineError: Failure changing state of the gst.Pipeline to <enum GST_STATE_PAUSED of type GstState>, currently reset to NULL
:
:Traceback (most recent call last):
:  File "/usr/share/pitivi/python/pitivi/ui/mainwindow.py", line 259, in _recordCb
:    self.showEncodingDialog(self.project)
:  File "/usr/share/pitivi/python/pitivi/ui/mainwindow.py", line 249, in showEncodingDialog
:    project.pipeline.pause()
:  File "/usr/share/pitivi/python/pitivi/pipeline.py", line 303, in pause
:    self.setState(STATE_PAUSED)
:  File "/usr/share/pitivi/python/pitivi/pipeline.py", line 277, in setState
:    raise PipelineError("Failure changing state of the gst.Pipeline to %r, currently reset to NULL" % state)
:PipelineError: Failure changing state of the gst.Pipeline to <enum GST_STATE_PAUSED of type GstState>, currently reset to NULL
:
:Local variables in innermost frame:
:res: <enum GST_STATE_CHANGE_FAILURE of type GstStateChangeReturn>
:state: <enum GST_STATE_PAUSED of type GstState>
:self: <pitivi.pipeline.Pipeline object at 0x28c0a50>

event_log:
:2011-08-14-23:47:13> Empty login or password, please check your configuration
:2011-08-14-23:47:13* (exited with 1)

Comment 1 Jean-Philippe Broussard 2011-10-06 21:05:40 UTC
Package: pitivi-0.14.0-2.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I don't know...

Comment 2 Gwyn Ciesla 2012-03-27 18:01:37 UTC
Does this crash with the 0.15.0-3 in updates-testing?

Comment 3 Fedora End Of Life 2012-08-07 16:51:13 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.